Bug 132888 - editors/openoffice.org-3: openoffice 3.0.1 fails to build (cppunit conflicts with installed port)
Summary: editors/openoffice.org-3: openoffice 3.0.1 fails to build (cppunit conflicts ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-openoffice (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-03-21 01:10 UTC by Robert Jenssen
Modified: 2010-04-01 01:53 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Jenssen 2009-03-21 01:10:00 UTC
In /usr/ports/editors/openoffice.org-3 , "make" fails with:

Building module cppunit

Running processes: 1

/usr/ports/editors/openoffice.org-3/work/OOO300_m15/cppunit

-------------

mkdir ./unxfbsdi.pro/misc/build/cppunit-1.8.0/

mkdir: ./unxfbsdi.pro/misc/build/cppunit-1.8.0/: File exists

cd ./unxfbsdi.pro/misc/build/cppunit-1.8.0/ && dmake -P1   && touch /usr/ports/editors/openoffice.org-3/work/OOO300_m15/cppunit/./unxfbsdi.pro/misc/build/so_built_so_cppunit

cd src/win32 && dmake -P1 -P1 

-------------

cd src/result && dmake -P1 -P1 

------------------------------

Making: ../../../../../../unxfbsdi.pro/slo/TestResult.obj

c++ -fmessage-length=0 -c -Os -fno-strict-aliasing   -I.  -I../../../../../../unxfbsdi.pro/inc/c5t_testresult -I../inc -I../../../../../../inc/pch -I../../../../../../inc -I../../../../../../unx/inc -I../../../../../../unxfbsdi.pro/inc -I. -I/usr/ports/editors/openoffice.org-3/work/OOO300_m15/solver/300/unxfbsdi.pro/inc/stl -I/usr/ports/editors/openoffice.org-3/work/OOO300_m15/solver/300/unxfbsdi.pro/inc/external -I/usr/ports/editors/openoffice.org-3/work/OOO300_m15/solver/300/unxfbsdi.pro/inc -I/usr/ports/editors/openoffice.org-3/work/OOO300_m15/solenv/unxfbsdi/inc -I/usr/ports/editors/openoffice.org-3/work/OOO300_m15/solenv/inc -I/usr/ports/editors/openoffice.org-3/work/OOO300_m15/res -I/usr/ports/editors/openoffice.org-3/work/OOO300_m15/solver/300/unxfbsdi.pro/inc/stl -I/usr/ports/editors/openoffice.org-3/work/OOO300_m15/solenv/inc/Xp31 -I/usr/local/jdk1.6.0/include -I/usr/local/jdk1.6.0/include/freebsd -I/usr/local/jdk1.6.0/include/bsd -I/usr/local/jdk1.6.0/include/linux 
 -I/usr/local/jdk1.6.0/include/native_threads/include -I/usr/local/include  -I/usr/ports/editors/openoffice.org-3/work/OOO300_m15/solver/300/unxfbsdi.pro/inc/offuh -I../../include -I../../../../../../res -I. -pipe -mtune=pentiumpro -fvisibility-inlines-hidden -g1 -Wall -Wextra -Wendif-labels -Wshadow -Wno-ctor-dtor-privacy     -Wno-non-virtual-dtor   -fpic -DFREEBSD -DUNX -DVCL -DGCC -DC341 -DINTEL -DCVER=C341 -DX86  -D_PTHREADS -D_REENTRANT -DNEW_SOLAR -D_USE_NAMESPACE=1 -DSTLPORT_VERSION=450 -DHAVE_GCC_VISIBILITY_FEATURE -D__DMAKE -DUNIX -DCPPU_ENV=gcc3 -DGXX_INCLUDE_PATH=/usr/include/c++/4.2 -DSUPD=300 -DPRODUCT -DNDEBUG -DPRODUCT_FULL -DOSL_DEBUG_LEVEL=0 -DOPTIMIZE -DCUI -DSOLAR_JAVA   -DSHAREDLIB -D_DLL_   -fexceptions -fno-enforce-eh-specs -DEXCEPTIONS_ON  -o ../../../../../../unxfbsdi.pro/slo/TestResult.o /usr/ports/editors/openoffice.org-3/work/OOO300_m15/cppunit/unxfbsdi.pro/misc/build/cppunit-1.8.0/src/result/TestResult.cpp

In file included from /usr/ports/editors/openoffice.org-3/work/OOO300_m15/cppunit/unxfbsdi.pro/misc/build/cppunit-1.8.0/src/result/TestResult.cpp:4:

./../include/cppunit/result/TestResult.h:72: error: 'ErrorType' has not been declared

./../include/cppunit/result/TestResult.h:72: error: expected ',' or '...' before 'eType'

/usr/ports/editors/openoffice.org-3/work/OOO300_m15/cppunit/unxfbsdi.pro/misc/build/cppunit-1.8.0/src/result/TestResult.cpp:46: error: 'ErrorType' has not been declared

/usr/ports/editors/openoffice.org-3/work/OOO300_m15/cppunit/unxfbsdi.pro/misc/build/cppunit-1.8.0/src/result/TestResult.cpp:46: error: expected ',' or '...' before '_eType'

/usr/ports/editors/openoffice.org-3/work/OOO300_m15/cppunit/unxfbsdi.pro/misc/build/cppunit-1.8.0/src/result/TestResult.cpp: In member function 'virtual void CppUnit::TestResult::addError(CppUnit::Test*, CppUnit::Exception*, int)':

/usr/ports/editors/openoffice.org-3/work/OOO300_m15/cppunit/unxfbsdi.pro/misc/build/cppunit-1.8.0/src/result/TestResult.cpp:48: error: '_eType' was not declared in this scope

/usr/ports/editors/openoffice.org-3/work/OOO300_m15/cppunit/unxfbsdi.pro/misc/build/cppunit-1.8.0/src/result/TestResult.cpp: At global scope:

/usr/ports/editors/openoffice.org-3/work/OOO300_m15/cppunit/unxfbsdi.pro/misc/build/cppunit-1.8.0/src/result/TestResult.cpp:46: warning: unused parameter 'num'

/usr/ports/editors/openoffice.org-3/work/OOO300_m15/cppunit/unxfbsdi.pro/misc/build/cppunit-1.8.0/src/result/TestResult.cpp: In member function 'virtual void CppUnit::TestResult::addFailure(CppUnit::Test*, CppUnit::Exception*)':

/usr/ports/editors/openoffice.org-3/work/OOO300_m15/cppunit/unxfbsdi.pro/misc/build/cppunit-1.8.0/src/result/TestResult.cpp:59: error: 'ErrorType' has not been declared

dmake:  Error code 1, while making '../../../../../../unxfbsdi.pro/slo/TestResult.obj'

dmake:  Error code 255, while making 'target'

dmake:  Error code 255, while making './unxfbsdi.pro/misc/build/so_built_so_cppunit'

Running processes: 0

Fix: 

pkg_delete cppunit-1.12.1
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2009-03-21 01:13:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->openoffice

Over to maintainer(s).
Comment 2 Warren Block 2009-08-26 21:47:14 UTC
This is still a problem with openoffice.org-3-devel (currently 
3.2.20090820).  With devel/cppunit installed, it fails as follows. 
Without cppunit, it builds fine.

...
deliver -- version: 271271
Module 'i18npool' delivered successfully. 31 files copied, 5 files 
unchanged

1 module(s):
         cppunit
need(s) to be rebuilt

Reason(s):

ERROR: error 65280 occurred while making 
/usr/ports/editors/openoffice.org-3-devel/work/DEV300_m55/cppunit

Attention: if you build and deliver the above module(s) you may 
prolongue your the build issuing command "build --from cppunit"

rmdir /usr/ports/editors/openoffice.org-3-devel/work/DEV300_m55/7558
*** Error code 1

Stop in /usr/ports/editors/openoffice.org-3-devel.


-Warren Block * Rapid City, South Dakota USA
Comment 3 Maho Nakata freebsd_committer 2010-04-01 01:53:15 UTC
State Changed
From-To: open->closed

Thanks for your report...Fixed.